/* eslint-disable */
/* eslint-disable no-console */

import React, { useState } from 'react'
import '../styles/SidePanel.scss';
import { MenuProps } from 'antd';
import { Menu } from 'antd';
import { ArrowLeftOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";

import logoLI from '../../li-logo.png';

type MenuItem = Required<MenuProps>['items'][number];

const items: MenuItem[] = [
    {
        label: (
            <Link to={'/Settings'}>Settings</Link>
        ),
    },
    {
        label: (
            <Link to={'/user-manager'}>User Manager</Link>
        ), },
    { 
        label: (
            <Link to={'/Document-manager'}>Document Manager</Link>
        ),
     },
];

function UserSidenav() {

    return (
        <div className='side-navigation'>
            <Link to={'/messages'} className='back-btn'>
                <ArrowLeftOutlined /> Back to Chat
            </Link>
            <Menu mode="inline" items={items} />
        </div>
    )
}

export default UserSidenav