/* eslint-disable */
/* eslint-disable no-console */

import React from 'react'
import '../styles/Login.scss';
import { Grid, Flex, Input, Button, Form } from "antd";
import { LockOutlined, MailOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";


function ForgotPassword() {

    return (
        <div className='login-container'>
            <Flex gap="middle" className='login-con'>
                <div className='login-left-container'>
                    <div className='login-leftLection'>
                        <h1>Legal AI</h1>
                        <h4>We Intelligent Legal Agent</h4>
                    </div>
                </div>
                <div className='login-right-container'>
                    <div className='login-box'>
                        <h2>Forgot Password</h2>
                        <p>Enter & verify your email address</p>
                        <Form name="basic" autoComplete="off">
                            <Form.Item name="email" rules={[{ required: true, message: 'Please enter your Email' }]}>
                                <Input placeholder='Email Address' prefix={<MailOutlined />} />
                            </Form.Item>

                            <Link to={"/verify-email"} className='btn-primary'>Get OTP</Link>
                            <Link className='ant-btn ant-btn-variant-link' to={"/"} block>Back to Login</Link>

                        </Form>
                    </div>
                </div>
            </Flex>
        </div>
    )
}

export default ForgotPassword