/* eslint-disable */
/* eslint-disable no-console */

import React from 'react'
import '../styles/Login.scss';
import { Flex, Input, Button, Form } from "antd";
import { MailOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";


function VerifyEmail() {

    return (
        <div className='login-container'>
            <Flex gap="middle" className='login-con'>
                <div className='login-left-container'>
                    <div className='login-leftLection'>
                        <h1>Legal AI</h1>
                        <h4>We Intelligent Legal Agent</h4>
                    </div>
                </div>
                <div className='login-right-container'>
                    <div className='login-box'>
                        <h2>Verify Email</h2>
                        <p>Enter 6 digit OTP sent to email rawXXXXXX@gmail.com</p>
                        <Form name="basic" autoComplete="off">
                            <Form.Item name="email" rules={[{ required: true, message: 'OTP' }]}>
                                <Input placeholder='OTP' prefix={<MailOutlined />} />
                            </Form.Item>

                            <Link to={"/reset-password"} className='btn-primary'>Reset Password</Link>
                            <Link className='ant-btn ant-btn-variant-link' to={"/"} block>Back to Login</Link>

                        </Form>
                    </div>
                </div>
            </Flex>
        </div>
    )
}

export default VerifyEmail